Due to a recent update on Javascript code a full page refresh on your browser might be needed.
Bug 1093522 - Review Request: aspcud - Solver for package dependencies
Summary: Review Request: aspcud - Solver for package dependencies
Keywords:
Status: CLOSED NOTABUG
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Nobody's working on this, feel free to take it
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1093516 1093521 1733101
Blocks: FE-DEADREVIEW
TreeView+ depends on / blocked
 
Reported: 2014-05-02 00:51 UTC by Scott K Logan
Modified: 2019-10-30 22:50 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-30 22:50:04 UTC
Type: ---


Attachments (Terms of Use)

Description Scott K Logan 2014-05-02 00:51:27 UTC
Spec URL: http://cottsay.fedorapeople.org/aspcud/aspcud.spec
SRPM URL: http://cottsay.fedorapeople.org/aspcud/aspcud-1.9.0-1.fc21.src.rpm

Description:
Aspcud is a solver for package dependencies. A package universe and a request to install, remove, or upgrade packages have to be encoded in the CUDF format. Such a CUDF document can then be passed to aspcud along with an optimization criteria to obtain a solution to the given package problem.

Fedora Account System Username: cottsay

Copr builds (F19, F20 and rawhide):
http://copr.fedoraproject.org/coprs/cottsay/gringo/monitor/

rpmlint output:
4 packages and 1 specfiles checked; 0 errors, 0 warnings.

Notes:
- Because this is part of a chained group of packages (clasp => gringo => clingo => aspcud), I opted to use copr for test builds instead of koji.

Thanks!

Comment 1 Anton Kochkov 2017-08-02 10:31:56 UTC
Are there any updates on this? This is recommended solver for OPAM (OCaml Package Manager).

Comment 2 Scott K Logan 2019-10-30 22:50:04 UTC
Marking this review as 'Stalled'.

I'm not motivated to make this happen anymore - anyone should feel free to pick it up if they're interested.


Note You need to log in before you can comment on or make changes to this bug.